<?php

/*
=====================================================================

  프로젝트 이름 : 피리 카페 심플

  만든사람 : 피리 PIREE ( tosports@naver.com )

  홈페이지 : https://piree.kr/nett_dev

  작성날짜 : 2024년 04월 07일 일요일 오후 13시 18분 / 맑음, 21.5, 일교차 주의, 22, 6, 0%, 0%, 2.3ms / 상당히 나쁨, 57, 40

  저 작 권 : Copyright ⓒ 2024 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 카페 심플 > 피리 카페 관리 > 회원 목록 보기
=====================================================================


*/

  include_once('./_common.php');

  include_once( "./_CAFE.MANAGE.INFO.CHECK.inc.php" );

  include_once( piree__path($piree_prog_a[770000]['num'], 'form.lib.php') );

  include_once( piree__path($piree_prog_a[770000]['num'], 'member.lib.php') );

  $member_list_page_url = PIREE_CAFE_MANAGE_URL .'/member.list.php?piree_cafe_n='. $piree_cafe_n;

  $cafe_member_view_t++;

  $cafe_member_list_a = array();

  IF ( $piree_cafe_a['cafe_member_t'] > 0 )
  {

      $rows_n = $config['cf_page_rows'];

      $total_page = ceil($piree_cafe_a['cafe_member_t'] / $rows_n);

      IF ( !$page || $page < 1 )                  $page = 1;

      $start_record_n = ($page - 1) * $rows_n;

      $list_pages = get_paging(G5_IS_MOBILE ? $config['cf_mobile_pages'] : $config['cf_write_pages'], $page, $total_page, $member_list_page_url);

      $sql_select  = "SELECT * FROM `". $piree['cafe_member'] ."` ";
      $sql_select .= "WHERE `cfml_cafe_n`= '". $piree_cafe_n ."' ";
      $sql_select .= "ORDER BY `cfml_row_n` DESC LIMIT ". $start_record_n .", ". $rows_n;
      $result = sql_query($sql_select);

      WHILE ( $row = sql_fetch_array($result) )
      {

          $loop_member_n = $row['cfml_row_n'];

          $cafe_member_list_a[$loop_member_n] = $row;

          $cafe_member_view_t++;

      }

  }

  $page_code_c = 'member.list.view';

  $piree_cafe_board_list_action_u = https_url_get( PIREE_CAFE_MANAGE_URL .'/member.list_update.php' );

  $g5['title'] = $piree_cafe_name_s ." > 피리 카페 관리 > 회원 목록 보기";

  include_once( get_cafe_skin_file('path', 'manage', '_head.sub.php') );

  include_once( get_cafe_skin_file('path', 'manage', '_head.skin.php') );

  include_once( get_cafe_skin_file('path', 'manage', 'member.list.skin.php') );

  include_once( get_cafe_skin_file('path', 'manage', '_tail.skin.php') );

  include_once( get_cafe_skin_file('path', 'manage', '_tail.sub.php') );

?>